Jobs

class matterapi.endpoints.async_api.JobsApi(client: matterapi.client.base.BaseClient, skip_response_parsing: bool = False)

Endpoints related to various background jobs that can be run by the server or separately by job servers.

async cancel_job(job_id: str) matterapi.models.StatusOK

Cancel a job.

Cancel a job.

Permissions:

Must have manage_jobs permission.

Minimum Server Version:

4.1

Api Reference:

CancelJob

async create_job(*, json_body: Union[matterapi.models.CreateJobJsonBody, Dict]) matterapi.models.Job

Create a new job.

Create a new job.

Permissions:

Must have manage_jobs permission.

Minimum Server Version:

4.1

Api Reference:

CreateJob

async download_job(job_id: str) None

Download the results of a job.

Download the result of a single job.

Permissions:

Must have manage_jobs permission.

Minimum Server Version:

5.28

Api Reference:

DownloadJob

async get_job(job_id: str) matterapi.models.Job

Get a job.

Gets a single job.

Permissions:

Must have manage_jobs permission.

Minimum Server Version:

4.1

Api Reference:

GetJob

async get_jobs(*, page: Optional[int] = 0, per_page: Optional[int] = 60) List[matterapi.models.Job]

Get the jobs.

Get a page of jobs. Use the query parameters to modify the behaviour of this endpoint.

Permissions:

Must have manage_jobs permission.

Minimum Server Version:

4.1

Api Reference:

GetJobs

async get_jobs_by_type(type: str, *, page: Optional[int] = 0, per_page: Optional[int] = 60) List[matterapi.models.Job]

Get the jobs of the given type.

Get a page of jobs of the given type. Use the query parameters to modify the behaviour of this endpoint.

Permissions:

Must have manage_jobs permission.

Minimum Server Version:

4.1

Api Reference:

GetJobsByType